/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2023  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#include "measurement_ballbar.h"

TMeasurement_Ballbar::TMeasurement_Ballbar(void)
{
}

TMeasurement_Ballbar::~TMeasurement_Ballbar(void)
{
}


void TMeasurement_Ballbar::Initialize(void)
{
	d_position_x = QStringLiteral("XMid");
	d_position_y = QStringLiteral("YMid");
	d_position_z = QStringLiteral("ZMid");
	
	d_direction_i = QStringLiteral("1.00000");
	d_direction_j = QStringLiteral("0.00000");
	d_direction_k = QStringLiteral("0.00000");

	d_length = QStringLiteral("100.0000");
}

